module user.doob_test1.PaintHandler;

private import dwt.DWT;
private import dwt.events.PaintListener;
private import dwt.widgets.Canvas;
private import dwt.widgets.Display;

private import dwt.graphics.GC;
private import dwt.graphics.Rectangle;

private import tango.io.Stdout;

class PaintHandler : PaintListener {
    public int x, y, xDiff, yDiff;
    Canvas canvas;
    Display display;

    this(Canvas c, Display d) {
        canvas = c;
        display = d;
    }

    public void paintControl(PaintEvent e) {
         Rectangle clientArea = canvas.getClientArea();
         e.gc.setBackground(display.getSystemColor(DWT.COLOR_CYAN));
            e.gc.fillRoundRectangle(x,y,xDiff,yDiff,50,50);
   }

    public void reDraw() {
        canvas.redraw();
    }
}